Dispatch squad
curl --request POST \
--url https://prod.featherhq.com/api/v1/squads/{squadId}/dispatch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"leadId": "<string>",
"firstName": "<string>",
"versionId": "<string>",
"outboundPhoneNumberId": "<string>",
"toPhoneNumber": "<string>",
"metadata": {},
"mode": "audio",
"zipcode": "<string>",
"variables": {},
"forwardingNumber": "<string>"
}
'import requests
url = "https://prod.featherhq.com/api/v1/squads/{squadId}/dispatch"
payload = {
"leadId": "<string>",
"firstName": "<string>",
"versionId": "<string>",
"outboundPhoneNumberId": "<string>",
"toPhoneNumber": "<string>",
"metadata": {},
"mode": "audio",
"zipcode": "<string>",
"variables": {},
"forwardingNumber": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leadId: '<string>',
firstName: '<string>',
versionId: '<string>',
outboundPhoneNumberId: '<string>',
toPhoneNumber: '<string>',
metadata: {},
mode: 'audio',
zipcode: '<string>',
variables: {},
forwardingNumber: '<string>'
})
};
fetch('https://prod.featherhq.com/api/v1/squads/{squadId}/dispatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "queued",
"connectionDetails": {
"serverUrl": "<string>",
"roomName": "<string>",
"participantName": "<string>",
"participantToken": "<string>"
}
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 402,
"message": "Insufficient credits",
"code": "PAYMENT_REQUIRED",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Squad
Dispatch squad
Create a new dispatch for a squad, resolving the entrypoint agent internally
POST
/
api
/
v1
/
squads
/
{squadId}
/
dispatch
Dispatch squad
Authorizations
Path Parameters
Body
application/json
Pattern:
^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$Show child attributes
Show child attributes
Available options:
audio, web Pattern:
^\d{5}(-?\d{4})?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$⌘I